import request from '@/utils/request'

// 查询维修工单工作组员名单列表
export function listRepairOrderPerson(query) {
  return request({
    url: '/gxt/repairOrderPerson/list',
    method: 'get',
    params: query
  })
}

// 查询维修工单工作组员名单详细
export function getRepairOrderPerson(id) {
  return request({
    url: '/gxt/repairOrderPerson/' + id,
    method: 'get'
  })
}

// 新增维修工单工作组员名单
export function addRepairOrderPerson(data) {
  return request({
    url: '/gxt/repairOrderPerson',
    method: 'post',
    data: data
  })
}

// 修改维修工单工作组员名单
export function updateRepairOrderPerson(data) {
  return request({
    url: '/gxt/repairOrderPerson',
    method: 'put',
    data: data
  })
}

// 删除维修工单工作组员名单
export function delRepairOrderPerson(id) {
  return request({
    url: '/gxt/repairOrderPerson/' + id,
    method: 'delete'
  })
}
